Skip to main content
POST
/
v2
/
swap
/
status
/
{id}
/
update
/
{txHash}
Update swap status with a transaction hash
curl --request POST \
  --url https://api.pods.finance/v2/swap/status/{id}/update/{txHash} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.pods.finance/v2/swap/status/{id}/update/{txHash}"

headers = {"x-api-key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.pods.finance/v2/swap/status/{id}/update/{txHash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "confirmed",
  "originTxHash": "0x61160691804e39f80871573195a87d3be519129ed6c2c73fd3338b5f00f45ee1",
  "originTxUrl": "https://polygonscan.com/tx/0x...",
  "destinationTxHash": "0x...",
  "destinationTxUrl": "https://gnosisscan.io/tx/0x..."
}
{
"error": {
"code": "QUOTE_NOT_FOUND",
"message": "Quote not found or expired"
}
}
{
"error": {
"code": "QUOTE_NOT_FOUND",
"message": "Quote not found or expired"
}
}
{
"error": {
"code": "QUOTE_NOT_FOUND",
"message": "Quote not found or expired"
}
}

Authorizations

x-api-key
string
header
required

API key for authentication. Obtain from your Pods dashboard.

Path Parameters

id
string
required

Quote ID

Example:

"550e8400-e29b-41d4-a716-446655440000"

txHash
string
required

Hash of the mined transaction to validate

Pattern: ^0x[a-fA-F0-9]{64}$
Example:

"0x61160691804e39f80871573195a87d3be519129ed6c2c73fd3338b5f00f45ee1"

Response

Status updated successfully

status
enum<string>
required

Quote status after validation

Available options:
pending,
confirmed,
fulfilled,
expired,
failed,
refunded,
processing
Example:

"confirmed"

originTxHash
string
Example:

"0x61160691804e39f80871573195a87d3be519129ed6c2c73fd3338b5f00f45ee1"

originTxUrl
string
Example:

"https://polygonscan.com/tx/0x..."

destinationTxHash
string
Example:

"0x..."

destinationTxUrl
string
Example:

"https://gnosisscan.io/tx/0x..."